summaryrefslogtreecommitdiffstats
path: root/system/sshfs-fuse
diff options
context:
space:
mode:
author Alan_Hicks2010-05-11 22:27:05 +0200
committer David Somero2010-05-11 22:27:05 +0200
commit84cc6864f759b786ef1fd07822782f2bf4146ed3 (patch)
treeb59a7dfb9727da93ab1f625e74c34677d39b9b8b /system/sshfs-fuse
parentd3cac6c201f327c0978e8eaab3ee94f3bf619c21 (diff)
downloadslackbuilds-84cc6864f759b786ef1fd07822782f2bf4146ed3.tar.gz
system/sshfs-fuse: Updated for version 2.2
Diffstat (limited to 'system/sshfs-fuse')
-rw-r--r--system/sshfs-fuse/README17
-rw-r--r--system/sshfs-fuse/slack-desc12
-rw-r--r--system/sshfs-fuse/sshfs-fuse.SlackBuild45
-rw-r--r--system/sshfs-fuse/sshfs-fuse.info9
4 files changed, 46 insertions, 37 deletions
diff --git a/system/sshfs-fuse/README b/system/sshfs-fuse/README
index 2a95e8d3ec..300d34090d 100644
--- a/system/sshfs-fuse/README
+++ b/system/sshfs-fuse/README
@@ -1,9 +1,10 @@
-This script builds sshfs-fuse, a SSH "client" that integrates with FUSE
-to allow you secure, encrypted file-system level access to files and
-directories on any server to which you have ssh access.
-
-Naturally, this script requires FUSE to be at all useful. You can
-pickup a SlackBuild script for fuse from here:
-
- http://www.slackbuilds.org/
+SSHFS (Secure SHell FileSystem) is a file system for Linux capable of
+operating on files on a remote computer using just a secure shell login
+on the remote computer. On the local computer where the SSHFS is mounted,
+the implementation makes use of the FUSE (Filesystem in Userspace)
+kernel module.
+The practical effect of this is that the end user can seamlessly interact
+with remote files being securely served over SSH just as if they were
+local files on his/her computer. On the remote computer the SFTP subsystem
+of SSH is used.
diff --git a/system/sshfs-fuse/slack-desc b/system/sshfs-fuse/slack-desc
index a8a2c437e5..9c5f406c6b 100644
--- a/system/sshfs-fuse/slack-desc
+++ b/system/sshfs-fuse/slack-desc
@@ -1,4 +1,12 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
|-----handy-ruler--------------------------------------------------|
+sshfs-fuse: sshfs-fuse (ssh file system module for FUSE)
sshfs-fuse:
sshfs-fuse: This is a filesystem client based on the SSH File Transfe
sshfs-fuse: Protocol. Since most SSH servers already support this protocol it
@@ -6,7 +14,5 @@ sshfs-fuse: is very easy to set up: i.e. on the server side there's nothing
sshfs-fuse: to do. On the client side mounting the filesystem is as easy as
sshfs-fuse: logging into the server with ssh.
sshfs-fuse:
+sshfs-fuse:
sshfs-fuse:
-sshfs-fuse: Requires FUSE (File-System in User Space)
-sshfs-fuse:
-sshfs-fuse: Packaged by Alan Hicks <alan@lizella.net>
diff --git a/system/sshfs-fuse/sshfs-fuse.SlackBuild b/system/sshfs-fuse/sshfs-fuse.SlackBuild
index d3677b0afd..a4396cca3c 100644
--- a/system/sshfs-fuse/sshfs-fuse.SlackBuild
+++ b/system/sshfs-fuse/sshfs-fuse.SlackBuild
@@ -1,4 +1,5 @@
#!/bin/sh
+
# Copyright 2006, Alan Hicks, Lizella, GA
# All rights reserved.
#
@@ -19,64 +20,64 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Exit on most errors
-set -e
-
-
PRGNAM=sshfs-fuse
-VERSION=1.8
+VERSION=2.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/pkg-$PRGNAM
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+# Exit on most errors
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
+CFLAG="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
-# Compile the application and install it into the $PKG directory
make
make install DESTDIR=$PKG
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's preferable if so, but if not, use this
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-# Copy program documentation into the package
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS FAQ.txt COPYING INSTALL NEWS ChangeLog README \
+cp -a AUTHORS COPYING ChangeLog FAQ.txt INSTALL NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/sshfs-fuse/sshfs-fuse.info b/system/sshfs-fuse/sshfs-fuse.info
index c025861c56..d4320c18bd 100644
--- a/system/sshfs-fuse/sshfs-fuse.info
+++ b/system/sshfs-fuse/sshfs-fuse.info
@@ -1,8 +1,9 @@
PRGNAM="sshfs-fuse"
-VERSION="1.8"
+VERSION="2.2"
HOMEPAGE="http://fuse.sourceforge.net/sshfs.html"
-DOWNLOAD="http://dl.sourceforge.net/fuse/sshfs-fuse-1.8.tar.gz"
-MD5SUM="3c575cf89a6d3d8ab6063c2f60bd5b25"
+DOWNLOAD="http://downloads.sourceforge.net/fuse/sshfs-fuse-2.2.tar.gz"
+MD5SUM="26e9206eb5169e87e6f95f54bc005a4f"
MAINTAINER="Alan_Hicks"
EMAIL="alan@lizella.net"
-APPROVED="BP{k}"
+APPROVED="dsomero"
+